Bulk create prompts
curl --request POST \
--url https://platform-api.trychainshift.ai/api/v1/platform/prompts/bulk \
--header 'API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"prompts": [
{
"content": "How can we get our service to appear in AI search?",
"promptSetID": "IkVMHhjFWcBXcJ41-h9yBQ"
}
]
}
'import requests
url = "https://platform-api.trychainshift.ai/api/v1/platform/prompts/bulk"
payload = { "prompts": [
{
"content": "How can we get our service to appear in AI search?",
"promptSetID": "IkVMHhjFWcBXcJ41-h9yBQ"
}
] }
headers = {
"API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompts: [
{
content: 'How can we get our service to appear in AI search?',
promptSetID: 'IkVMHhjFWcBXcJ41-h9yBQ'
}
]
})
};
fetch('https://platform-api.trychainshift.ai/api/v1/platform/prompts/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform-api.trychainshift.ai/api/v1/platform/prompts/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompts' => [
[
'content' => 'How can we get our service to appear in AI search?',
'promptSetID' => 'IkVMHhjFWcBXcJ41-h9yBQ'
]
]
]),
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform-api.trychainshift.ai/api/v1/platform/prompts/bulk"
payload := strings.NewReader("{\n \"prompts\": [\n {\n \"content\": \"How can we get our service to appear in AI search?\",\n \"promptSetID\": \"IkVMHhjFWcBXcJ41-h9yBQ\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform-api.trychainshift.ai/api/v1/platform/prompts/bulk")
.header("API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"prompts\": [\n {\n \"content\": \"How can we get our service to appear in AI search?\",\n \"promptSetID\": \"IkVMHhjFWcBXcJ41-h9yBQ\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform-api.trychainshift.ai/api/v1/platform/prompts/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompts\": [\n {\n \"content\": \"How can we get our service to appear in AI search?\",\n \"promptSetID\": \"IkVMHhjFWcBXcJ41-h9yBQ\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"ids": [
"cM0RPoxbNbJy0mS-MhsHOg"
]
}{
"code": "COMMON_VALIDATION",
"details": [
"limit: must be 100 or less"
],
"message": "Data validation failed"
}{
"code": "COMMON_UNAUTHORIZED",
"message": "Unauthenticated user"
}{
"code": "INSUFFICIENT_CREDITS",
"message": "Insufficient credits."
}{
"code": "PROMPT_SET_NOT_FOUND",
"message": "Prompt set not found"
}{
"code": "PROMPT_SET_PROMPT_LIMIT_EXCEEDED",
"message": "Exceeded the maximum number of prompts per prompt set (1,000)"
}{
"code": "PLATFORM_RATE_LIMIT_EXCEEDED",
"message": "Too many requests. Please try again later."
}{
"message": "Internal Server Error",
"requestID": "bkZqnHQepkgTOocTvyHWSlHcGzRqQbZk"
}Prompts
Bulk create prompts
Creates up to 100 prompts at once. If any prompt fails validation, none are created (all-or-nothing). Each set holds up to 1,000 prompts, and if any set would exceed the limit, none are created.
Errors
| HTTP | Code | Description |
|---|---|---|
| 400 | COMMON_BINDING | Failed to parse request body JSON |
| 400 | COMMON_VALIDATION | • List is empty or exceeds 100 items • Content missing or exceeds 1000 characters • promptSetID missing |
| 401 | COMMON_UNAUTHORIZED | API key or access token is missing or invalid |
| 402 | INSUFFICIENT_CREDITS | Organization credit balance is lower than the unit price of this request |
| 404 | PROMPT_SET_NOT_FOUND | Set does not exist or belongs to another organization |
| 409 | PROMPT_SET_PROMPT_LIMIT_EXCEEDED | Exceeds the maximum number of prompts per set (1,000) |
| 429 | PLATFORM_RATE_LIMIT_EXCEEDED | Rate limit exceeded. Wait for the number of seconds in the Retry-After header, then retry |
| 500 | — | Internal server error. Returns message and requestID without code |
POST
/
v1
/
platform
/
prompts
/
bulk
Bulk create prompts
curl --request POST \
--url https://platform-api.trychainshift.ai/api/v1/platform/prompts/bulk \
--header 'API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"prompts": [
{
"content": "How can we get our service to appear in AI search?",
"promptSetID": "IkVMHhjFWcBXcJ41-h9yBQ"
}
]
}
'import requests
url = "https://platform-api.trychainshift.ai/api/v1/platform/prompts/bulk"
payload = { "prompts": [
{
"content": "How can we get our service to appear in AI search?",
"promptSetID": "IkVMHhjFWcBXcJ41-h9yBQ"
}
] }
headers = {
"API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompts: [
{
content: 'How can we get our service to appear in AI search?',
promptSetID: 'IkVMHhjFWcBXcJ41-h9yBQ'
}
]
})
};
fetch('https://platform-api.trychainshift.ai/api/v1/platform/prompts/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform-api.trychainshift.ai/api/v1/platform/prompts/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompts' => [
[
'content' => 'How can we get our service to appear in AI search?',
'promptSetID' => 'IkVMHhjFWcBXcJ41-h9yBQ'
]
]
]),
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform-api.trychainshift.ai/api/v1/platform/prompts/bulk"
payload := strings.NewReader("{\n \"prompts\": [\n {\n \"content\": \"How can we get our service to appear in AI search?\",\n \"promptSetID\": \"IkVMHhjFWcBXcJ41-h9yBQ\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform-api.trychainshift.ai/api/v1/platform/prompts/bulk")
.header("API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"prompts\": [\n {\n \"content\": \"How can we get our service to appear in AI search?\",\n \"promptSetID\": \"IkVMHhjFWcBXcJ41-h9yBQ\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform-api.trychainshift.ai/api/v1/platform/prompts/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompts\": [\n {\n \"content\": \"How can we get our service to appear in AI search?\",\n \"promptSetID\": \"IkVMHhjFWcBXcJ41-h9yBQ\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"ids": [
"cM0RPoxbNbJy0mS-MhsHOg"
]
}{
"code": "COMMON_VALIDATION",
"details": [
"limit: must be 100 or less"
],
"message": "Data validation failed"
}{
"code": "COMMON_UNAUTHORIZED",
"message": "Unauthenticated user"
}{
"code": "INSUFFICIENT_CREDITS",
"message": "Insufficient credits."
}{
"code": "PROMPT_SET_NOT_FOUND",
"message": "Prompt set not found"
}{
"code": "PROMPT_SET_PROMPT_LIMIT_EXCEEDED",
"message": "Exceeded the maximum number of prompts per prompt set (1,000)"
}{
"code": "PLATFORM_RATE_LIMIT_EXCEEDED",
"message": "Too many requests. Please try again later."
}{
"message": "Internal Server Error",
"requestID": "bkZqnHQepkgTOocTvyHWSlHcGzRqQbZk"
}Body
application/json
Bulk prompt creation request